<script>
    setTimeout(() => {
        document.querySelector('.added-product').style.animationName = 'finish'
        document.querySelector('.added-product').style.animationDuration = '2s'
    }, 3000)
    setTimeout(() => {
        document.querySelector('.added-product').style.display = 'none'
    }, 5000)
</script>
{% extends 'index.html' %}
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
{% block title %}

    <title>Product Description</title>
{% endblock %}
{% block success_tag %}
    {% if add %}
        <div class="added-product" id="trigger">The product has been added to cart</div>
    {% else %}
    {% endif %}
{% endblock %}
{% block content %}
    <div class="card">
        <div class="card__title">
            <div class="icon">
                <i class="fa fa-arrow-down"></i>
            </div>
            <h3>New products</h3>
        </div>
        <div class="card__body">
            <div class="half">
                <div class="featured_text">
                    <h1>{{ product.name }}</h1>
                    <p class="sub"></p>
                    <p class="price">{{ product.price }} lei</p>
                </div>
                <div class="image">
                    <img src="{{ product.image.url }}" alt="image">
                </div>
            </div>
            <div class="half">
                <div class="description">
                    <p>{{ product.description }}</p>
                </div>
                <div class="reviews">
                    {% if product.quantity %}
                        <span class="stock"><i class="fa fa-pen"></i> In stock</span><br>
                    {% else %}
                        <span class="stock"><i class="fa fa-pen"></i> Out of stock</span><br>
                    {% endif %}
                    {% if len_rev == 0 %}
                        <span>No review available for this product</span>
                    {% else %}
                        <ul class="stars">
                            {% for rev in rev_list %}
                                <li><i class="fa fa-star"></i></li>
                            {% endfor %}
                        </ul>
                        <span>{{ reviews }}</span>
                        <span>({{ len_rev }}{% if len_rev == 1 %} review {% else %} reviews {% endif %})</span>
                    {% endif %}
                    <br>
                    <hr>
                    {% if len_rev == 0 %}
                        <a href="{% url 'prod-view-review' product.pk %}">Check the review page</a>{% else %}
                        <a href="{% url 'prod-view-review' product.pk %}">See the reviews</a>{% endif %}
                </div>
            </div>
        </div>
        <div class="card__footer">
            <div class="recommend">
                <p>cPhilosophy</p>
                <h3>We bring wisdom to you!</h3>
            </div>
            <div class="action">
                {% if product.quantity %}
                    <form action="{% url 'cart-add' %}" method="GET" id="myform">
                        {% csrf_token %}
                        <label>
                            <input type="hidden" name="{{ product.pk }}">
                            <input type="number" max="{{ product.quantity }}" min="1" name="quantity" value="1">
                            <input type="hidden" name="PRODET">
                            <button type="submit" value="">Add to chart</button>
                        </label>
                    </form>
                {% else %}
                    <div class="out-of-stock">Out of stock</div>
                {% endif %}
            </div>
        </div>
    </div>

{% endblock %}
